Page MenuHomePhabricator

Investigation: Numerical sorting for more wikis
Closed, ResolvedPublic

Description

We've finished the numerical sorting collation on English WP, now we need a plan for more wikis.

I've compiled a list of the home wikis of people who support-voted numerical sorting in the Wishlist Survey, using the non-scientific process of looking each person up and writing down the wikis where they've got a lot of contributions. Then I compared that list to the wikis that already have uca-collation, according to https://meta.wikimedia.org/wiki/Collation

Commons and Wikidata were the most common by far.

There were 3 votes each from Ca.wp (Catalan), De.wikibooks and De.wp (German)

There was 1 vote each from: Afrikaans (af.wp), Asturian (ast.wp), Greek (el.wp), English wikisource, English wikiversity, Hebrew (he.wp), Italian wikivoyage, Ladino (lad.wp), Malay (ms.wp), Norwegian (no.wp) and Sanskrit (sa.wp).

Also: of the 25 biggest Wikipedias, the wikis that don't currently have uca-collation are:

  • Ar.wp (Arabic)
  • Ca.wp (Catalan)
  • De.wp (German)
  • Es.wp (Spanish)
  • Id.wp (Indonesian)
  • Ja.wp (Japanese)
  • Ko.wp (Korean)
  • No.wp (Norwegian)
  • Ro.wp (Romanian)
  • Zh.wp (Chinese)

The purpose of this investigation card is to make a plan to deploy uca-collations on the wikis that need it.

Event Timeline

DannyH created this task.Sep 6 2016, 6:29 PM
Restricted Application added subscribers: revi, Aklapper. · View Herald TranscriptSep 6 2016, 6:29 PM
DannyH updated the task description. (Show Details)Sep 7 2016, 9:07 PM
Liuxinyu970226 added subscribers: whym, jeblad, liangent, jimmyxu.
TheDJ added a subscriber: TheDJ.Jun 29 2017, 6:46 PM

@DannyH considering what happened in T146675: Convert more wikis to numerical sorting, can this ticket be closed, or is there still more to do/planned ?

Restricted Application added a subscriber: jhsoby. · View Herald TranscriptJun 29 2017, 6:46 PM
DannyH closed this task as Resolved.Jun 29 2017, 8:01 PM
DannyH claimed this task.

@TheDJ - Yes, thanks for noticing this was still open. :)